yandex-maps-wiki-tasks-validation (2.8.8-0) unstable; urgency=medium

  * Take commit id from actual branch while restarting by fatals

 -- Sergey Liverko <mr-spock@yandex-team.ru>  Tue, 26 Sep 2017 13:16:57 +0300

yandex-maps-wiki-tasks-validation (2.8.7-0) unstable; urgency=medium

  * NMAPS-6102 Restarting validation for checks with fatal errors

 -- Sergey Liverko <mr-spock@yandex-team.ru>  Thu, 14 Sep 2017 13:05:29 +0300

yandex-maps-wiki-tasks-validation (2.8.6-0) unstable; urgency=medium

  * Added mercator ratio in aoi area computation NMAPS-6096 CR-726

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Tue, 08 Aug 2017 16:01:33 +0300

yandex-maps-wiki-tasks-validation (2.8.5-0) unstable; urgency=medium

  * Limit the number of object ids in validation message NMAPS-5874 CR-292

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Mon, 03 Jul 2017 18:01:07 +0300

yandex-maps-wiki-tasks-validation (2.8.4-0) unstable; urgency=medium

  * Validation schedule NMAPS-5429 CR-122

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Mon, 26 Jun 2017 19:44:50 +0300

yandex-maps-wiki-tasks-validation (2.8.3-0) unstable; urgency=low

  * Get buffer size from validation preset name

 -- Sergey Liverko <mr-spock@yandex-team.ru>  Mon, 22 May 2017 15:04:27 +0300

yandex-maps-wiki-tasks-validation (2.8.2-0) unstable; urgency=low

  * Validation preset fixes NMAPS-5597 CRCORE-13428

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Fri, 05 May 2017 14:02:00 +0300

yandex-maps-wiki-tasks-validation (2.8.1-0) unstable; urgency=low

  * Use native python function to format datetime.

 -- Euclid Nikiforov <euclid@yandex-team.ru>  Tue, 25 Apr 2017 14:55:08 +0300

yandex-maps-wiki-tasks-validation (2.8.0-0) unstable; urgency=low

  * Validation presets NMAPS-5426 CRCORE-13223

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Tue, 18 Apr 2017 18:41:09 +0300

yandex-maps-wiki-tasks-validation (2.7.3-0) unstable; urgency=low

  * support new graphics validation_queue

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Thu, 13 Apr 2017 13:01:09 +0300

yandex-maps-wiki-tasks-validation (2.7.2-0) unstable; urgency=low

  * support service.task.parent_id

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Thu, 30 Mar 2017 18:33:39 +0300

yandex-maps-wiki-tasks-validation (2.7.1-0) unstable; urgency=low

  * Rebuilt.

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Mon, 20 Mar 2017 16:10:11 +0300

yandex-maps-wiki-tasks-validation (2.7.0-0) unstable; urgency=low

  * split heavy valdation tasks if aoi=0

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Mon, 20 Mar 2017 16:10:11 +0300

yandex-maps-wiki-tasks-validation (2.6.0-0) unstable; urgency=low

  * Added important regions in validator NMAPS-4715 CRCORE-11904

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Fri, 30 Dec 2016 17:39:37 +0300

yandex-maps-wiki-tasks-validation (2.5.4-0) unstable; urgency=low

  * revert waiting for commit approval in validation NMAPS-4450

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Wed, 16 Nov 2016 15:35:38 +0300

yandex-maps-wiki-tasks-validation (2.5.3-0) unstable; urgency=low

  * Wait for approved commits in validation worker NMAPS-4450 CRCORE-11230

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Fri, 28 Oct 2016 16:01:00 +0300

yandex-maps-wiki-tasks-validation (2.5.2-1) unstable; urgency=low

  * Fix dependencies

 -- Ilya Vlasiuk <tail@yandex-team.ru>  Thu, 25 Aug 2016 19:09:04 +0300

yandex-maps-wiki-tasks-validation (2.5.2-0) unstable; urgency=low

  * fix error message NMAPS-3804

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 23 Jun 2016 19:01:17 +0300

yandex-maps-wiki-tasks-validation (2.5.1-1) unstable; urgency=low

  * Moved Statistics class to libwiki-python

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Wed, 06 Apr 2016 23:43:32 +0300

yandex-maps-wiki-tasks-validation (2.5.1-0) unstable; urgency=low

  * pgpool2->pgpool3

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Tue, 24 Nov 2015 15:23:19 +0300

yandex-maps-wiki-tasks-validation (2.5.0-0) unstable; urgency=low

  * NMAPS-2497 remove celery

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 05 Nov 2015 18:40:22 +0300

yandex-maps-wiki-tasks-validation (2.4.0-0) unstable; urgency=low

  * Rebuilt.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Wed, 07 Oct 2015 11:59:24 +0300

yandex-maps-wiki-tasks-validation (2.3.5-0) unstable; urgency=low

  * PgPool3 python binding and migration of libvalidator to pgpool3.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Wed, 07 Oct 2015 11:59:24 +0300

yandex-maps-wiki-tasks-validation (2.3.4-0) unstable; urgency=low

  * Imports fixed

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Fri, 25 Sep 2015 09:23:28 +0300

yandex-maps-wiki-tasks-validation (2.3.3-0) unstable; urgency=low

  * NMAPS-2282 distinct timeout values for validation grinder pool

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 14 Sep 2015 20:01:06 +0300

yandex-maps-wiki-tasks-validation (2.3.2-0) unstable; urgency=low

  * Validation worker switched to Grinder.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Thu, 30 Jul 2015 16:59:03 +0300

yandex-maps-wiki-tasks-validation (2.3.1-2) unstable; urgency=low

  * Rebuilt.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Wed, 17 Jun 2015 16:08:51 +0300

yandex-maps-wiki-tasks-validation (2.3.1-1) unstable; urgency=low

  * Rebuilt.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Wed, 17 Jun 2015 16:08:51 +0300

yandex-maps-wiki-tasks-validation (2.3.1-0) unstable; urgency=low

  * Roll back to celery validation and groupedit.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Wed, 17 Jun 2015 16:08:51 +0300

yandex-maps-wiki-tasks-validation (2.3.0-0) unstable; urgency=low

  * Grinder-based validation task worker.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Thu, 28 May 2015 17:59:53 +0300

yandex-maps-wiki-tasks-validation (2.2.10-0) unstable; urgency=low

  * Fixed error status

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 14 May 2015 22:32:08 +0300

yandex-maps-wiki-tasks-validation (2.2.9-0) unstable; urgency=low

  * preparation code for using mapspro_validation

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Fri, 30 Jan 2015 17:56:20 +0300

yandex-maps-wiki-tasks-validation (2.2.8-0) unstable; urgency=low

  * Migrated to new ResultsGateway interface

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 15 Jan 2015 19:21:33 +0300

yandex-maps-wiki-tasks-validation (2.2.7-0) unstable; urgency=low

  * serialize exclusion creation time with timezone

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 27 Oct 2014 17:45:56 +0300

yandex-maps-wiki-tasks-validation (2.2.6-0) unstable; urgency=low

  * raise heavy validation area limit MAPSPRO-1545

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Wed, 28 May 2014 18:36:06 +0400

yandex-maps-wiki-tasks-validation (2.2.5-0) unstable; urgency=low

  * display aoi id in validation brief context

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 08 Apr 2014 15:24:15 +0400

yandex-maps-wiki-tasks-validation (2.2.4-0) unstable; urgency=low

  * MAPSPRO-1416 catch and report validation exceptions in celery task

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 03 Mar 2014 16:44:40 +0400

yandex-maps-wiki-tasks-validation (2.2.3-0) unstable; urgency=low

  * Task revoke fix for new celery

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Wed, 05 Feb 2014 20:38:01 +0400

yandex-maps-wiki-tasks-validation (2.2.2-0) unstable; urgency=low

  * Load modules.xml only

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Mon, 30 Dec 2013 13:05:56 +0400

yandex-maps-wiki-tasks-validation (2.2.1-0) unstable; urgency=low

  * info about modules is returned in the same order as they were added

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 31 Oct 2013 20:16:21 +0400

yandex-maps-wiki-tasks-validation (2.2.0-0) unstable; urgency=low

  * validation exclusions lib

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Fri, 04 Oct 2013 18:24:19 +0400

yandex-maps-wiki-tasks-validation (2.1.0-0) unstable; urgency=low

  * Message relevance checking

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Mon, 23 Sep 2013 21:17:39 +0400

yandex-maps-wiki-tasks-validation (2.0.1-0) unstable; urgency=low

  * validator message deduplication

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Wed, 11 Sep 2013 18:28:11 +0400

yandex-maps-wiki-tasks-validation (2.0.0-0) unstable; urgency=low

  * Using ResultsGateway

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Fri, 23 Aug 2013 17:51:30 +0400

yandex-maps-wiki-tasks-validation (1.4.2-1) unstable; urgency=low

  * Typo

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Mon, 12 Aug 2013 20:14:19 +0400

yandex-maps-wiki-tasks-validation (1.4.2-0) unstable; urgency=low

  * Initialize pool only in worker processes
  * Force index scan

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Mon, 12 Aug 2013 19:48:49 +0400

yandex-maps-wiki-tasks-validation (1.4.1-0) unstable; urgency=low

  * use wkb in message geom

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Fri, 26 Jul 2013 15:45:24 +0400

yandex-maps-wiki-tasks-validation (1.4.0-0) unstable; urgency=low

  * Migration to pgpool2 binding
  * Using new RevisionGateway interface

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 25 Jul 2013 13:02:13 +0400

yandex-maps-wiki-tasks-validation (1.3.0-0) unstable; urgency=low

  * return validation message ids

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 22 Jul 2013 16:32:04 +0400

yandex-maps-wiki-tasks-validation (1.2.1-0) unstable; urgency=low

  * return ordered validation messages

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Wed, 17 Jul 2013 17:46:15 +0400

yandex-maps-wiki-tasks-validation (1.2.0-0) unstable; urgency=low

  * Validation message statistics support

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 27 Jun 2013 19:02:35 +0400

yandex-maps-wiki-tasks-validation (1.1.0-0) unstable; urgency=low

  * branch id in tasks context

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 13 May 2013 19:59:29 +0400

yandex-maps-wiki-tasks-validation (1.0.0-0) unstable; urgency=low

  * numeric branch id in validator

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Fri, 26 Apr 2013 16:14:17 +0400

yandex-maps-wiki-tasks-validation (0.13.2-0) unstable; urgency=low

  * remove traces of self.branch

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 04 Apr 2013 21:36:39 +0400

yandex-maps-wiki-tasks-validation (0.13.1-0) unstable; urgency=low

  * temporarily show branch=trunk in context

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 26 Mar 2013 18:56:21 +0400

yandex-maps-wiki-tasks-validation (0.13.0-0) unstable; urgency=low

  * remove branch param from longtasks

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 26 Mar 2013 17:07:36 +0400

yandex-maps-wiki-tasks-validation (0.12.0-0) unstable; urgency=low

  * Polygonal message geometry support

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 21 Mar 2013 15:47:04 +0400

yandex-maps-wiki-tasks-validation (0.11.1-0) unstable; urgency=low

  * fix viewing of full dataset validation

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Wed, 20 Mar 2013 20:45:49 +0400

yandex-maps-wiki-tasks-validation (0.11.0-0) unstable; urgency=low

  * show aoi object geometry in validation context

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 19 Mar 2013 14:52:13 +0400

yandex-maps-wiki-tasks-validation (0.10.0-0) unstable; urgency=low

  * Validation messages with no geometry

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 28 Feb 2013 20:52:11 +0400

yandex-maps-wiki-tasks-validation (0.9.1-0) unstable; urgency=low

  * temporarily disable log so that db passwd does not leak

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 26 Feb 2013 19:37:36 +0400

yandex-maps-wiki-tasks-validation (0.9.0-0) unstable; urgency=low

  * base check in statistics

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 11 Feb 2013 18:17:20 +0400

yandex-maps-wiki-tasks-validation (0.8.0-0) unstable; urgency=low

  * Validation task logging

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 07 Feb 2013 23:25:03 +0400

yandex-maps-wiki-tasks-validation (0.7.1-0) unstable; urgency=low

  * count severity stats on all messages

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Wed, 30 Jan 2013 15:27:30 +0400

yandex-maps-wiki-tasks-validation (0.7.0-0) unstable; urgency=low

  * validation results filters

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Fri, 25 Jan 2013 17:31:10 +0400

yandex-maps-wiki-tasks-validation (0.6.1-0) unstable; urgency=low

  * decrease max tasks per child for heavy validation

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 14 Jan 2013 18:55:59 +0400

yandex-maps-wiki-tasks-validation (0.6.0-0) unstable; urgency=low

  * add conflicts with old packages
  * reorganize task workers start

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 14 Jan 2013 15:40:59 +0400

libyandex-maps-wiki-tasks-validation-python (0.5.0-0) unstable; urgency=low

  * validate commit id
  * use @threadsafe_memoize

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 20 Dec 2012 20:02:50 +0400

libyandex-maps-wiki-tasks-validation-python (0.4.1-0) unstable; urgency=low

  * fix bad merge

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Fri, 14 Dec 2012 18:11:00 +0400

libyandex-maps-wiki-tasks-validation-python (0.4.0-0) unstable; urgency=low

  * full dataset validation

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 13 Dec 2012 20:23:16 +0400

libyandex-maps-wiki-tasks-validation-python (0.3.1-0) unstable; urgency=low

  * new long task type: import

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Thu, 13 Dec 2012 19:47:05 +0400

libyandex-maps-wiki-tasks-validation-python (0.3.0-0) unstable; urgency=low

  * severity param in validation task view

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Fri, 23 Nov 2012 16:01:43 +0400

libyandex-maps-wiki-tasks-validation-python (0.2.1-0) unstable; urgency=low

  * fix missing object error code

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 13 Nov 2012 18:01:07 +0400

libyandex-maps-wiki-tasks-validation-python (0.2.0-0) unstable; urgency=low

  * validator returns async result

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 25 Oct 2012 20:15:12 +0400

libyandex-maps-wiki-tasks-validation-python (0.1.3-0) unstable; urgency=low

  * add branch to brief validation context

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 11 Oct 2012 18:23:40 +0400

libyandex-maps-wiki-tasks-validation-python (0.1.2-0) unstable; urgency=low

  * branch support
  * check for aoi geometry validity

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 08 Oct 2012 21:09:07 +0400

libyandex-maps-wiki-tasks-validation-python (0.1.1-0) unstable; urgency=low

  * add context to brief result

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Wed, 26 Sep 2012 18:27:42 +0400

libyandex-maps-wiki-tasks-validation-python (0.1.0-0) unstable; urgency=low

  * Initial release.

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 24 Sep 2012 19:28:49 +0400
